This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448464 - Spellcheck reporting misspelled words that aren't
Spellcheck reporting misspelled words that aren't
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 00:59 EDT by Jon Stanley
Modified: 2008-06-24 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4.1-17.4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 22:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of spelled correctly words that are claimed as misspelled (147.16 KB, image/png)
2008-05-27 00:59 EDT, Jon Stanley
no flags Details
document with spelling errors (374.19 KB, application/octet-stream)
2008-05-27 15:21 EDT, Jon Stanley
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 48400 None None None Never

  None (edit)
Description Jon Stanley 2008-05-27 00:59:58 EDT
In the attached screenshot (of a presentation on bug triaging for FUDCon no less
:) ), note that there are squiggly lines beneath words that are obviously
spelled correctly.  There had been typos in both of these previously, however,
they were not removed when the words were corrected.  Locale is en_US

I know that this is a pretty lame bug report, what more info would be helpful here?

openoffice.org-core-2.4.0-12.8.fc9.x86_64
openoffice.org-impress-2.4.0-12.8.fc9.x86_64
Comment 1 Jon Stanley 2008-05-27 00:59:58 EDT
Created attachment 306731 [details]
screenshot of spelled correctly words that are claimed as misspelled
Comment 2 Jon Stanley 2008-05-27 01:04:05 EDT
Interestingly enough, deleting the last character of both of those words and
putting it back caused the words to be spelled "correctly".
Comment 3 Caolan McNamara 2008-05-27 03:15:44 EDT
Are they considered misspelled or is it a drawing problem where the red squiggle
isn't getting refreshed ? e.g. minimize the app and restore it, do the red lines
remain, and use the tools->spell check to see if it says those words are
misspelled. My guess would be a drawing problem
Comment 4 Jon Stanley 2008-05-27 14:06:54 EDT
Yep, minimized the app, and it came back with the red line.  Did a spell check,
came back fine, and the red line disappeared.
Comment 5 Caolan McNamara 2008-05-27 15:02:07 EDT
Is this reproducible for you, if so then stick the same document in here. It
might be a redraw problem, which would be hard to track down unfortunately. It
is also worth mentioning your X driver as well in case it is a redraw problem
and not completely OOo's fault. There was a weird-ass bug for example with
radeon drivers in the past where an "r" was drawn like a "n" which was specific
to radeon
Comment 6 Jon Stanley 2008-05-27 15:21:33 EDT
Created attachment 306823 [details]
document with spelling errors
Comment 7 Jon Stanley 2008-05-27 15:21:53 EDT
Yeah, I can reproduce it fairly reliably by making a typo, and correcting it. 
I've attached the document here.
Comment 8 Jon Stanley 2008-05-27 15:30:16 EDT
Oh, and the hardware is a Thinkpad R61 with Intel X3100 video (xorg-x11-drv-intel)
Comment 9 Caolan McNamara 2008-05-28 06:53:51 EDT
As I feared, this doesn't happen for me on my nv hardware of my i810 based D430
:-( The red line disappears immediately as soon as a fix the spelling.

If you're up for it you could check if it happens with setting your xorg.org
driver to "vesa" or adding Option "NoAccel" "1"
Comment 10 Caolan McNamara 2008-06-12 12:05:19 EDT
hmm, 
a) is accessibility enabled, i.e. what does 
gconftool-2 -g "/desktop/gnome/interface/accessibility"
say
b) or do you have compiz enabled ?
Comment 11 Caolan McNamara 2008-06-13 08:09:18 EDT
I think I have it.

Will be in >= openoffice.org-2.4.1-17.4.fc9
Comment 12 Fedora Update System 2008-06-16 08:20:24 EDT
openoffice.org-2.4.1-17.4.fc9 has been submitted as an update for Fedora 9
Comment 13 Fedora Update System 2008-06-16 19:32:55 EDT
openoffice.org-2.4.1-17.4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5386
Comment 14 Fedora Update System 2008-06-24 22:52:47 EDT
openoffice.org-2.4.1-17.4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.